### Function

# FwupdPlugin kernel_get_cmdline

#### Declaration [src]

    GHashTable*
    fu_kernel_get_cmdline (
      void
      GError** error
    )

#### Description [src]

Loads all the kernel /proc/cmdline key/values into a hash table.

Available since: | 1.8.5

#### Return value

Returns: | `GHashTable`
| Keys from the kernel command line.
| The caller of the function takes ownership of the data container, but not the data inside it.